Subject: exim-4.10-2 renamed EXIM-4~1 in reinstall with setup 2.249.2.5
From: Greg Matheson <[email-masked]>
To: [email-masked]
Cc: "Pierre A. Humblet" <[email-masked]>
Date: Sun, 22 Dec 2002 12:31:23 +0800

> At 11:52 AM 12/22/2002 +0800, I wrote:

> >I reinstalled exim on Win98 and I found it was renamed
> >EXIM-4~1.EXE

> >The linking of exim to exim-4.10-2.exe thus failed.

> >USER@TEACHER ~
> >$ ls -al /bin/exim*
> >-rwxr-xr-x    1 USER     unknown    499712 Sep 14 10:06 /bin/EXIM-4~1.EXE
> >lrwxrwxrwx    1 USER     unknown        26 Dec 21 20:52 /bin/exim ->
> exim-4.10-2.exe
> >-rwxr-xr-x    1 USER     unknown      9586 Sep 14 04:10 /bin/exim-config
> >-rwxr-xr-x    1 USER     unknown      2628 Sep 14 10:05 /bin/exim_checkaccess
> >-rwxr-xr-x    1 USER     unknown      7168 Sep 14 10:06
> /bin/exim_dbmbuild.exe
> >-rwxr-xr-x    1 USER     unknown      9728 Sep 14 10:06 /bin/exim_dumpdb.exe
> >-rwxr-xr-x    1 USER     unknown     12288 Sep 14 10:06 /bin/exim_fixdb.exe
> >-rwxr-xr-x    1 USER     unknown      9728 Sep 14 10:06 /bin/exim_lock.exe
> >-rwxr-xr-x    1 USER     unknown     11264 Sep 14 10:06 /bin/exim_tidydb.exe
> >-rwxr-xr-x    1 USER     unknown     44999 Sep 14 10:05 /bin/eximstats

> >I reinstalled it again, but it still had the
> >Windows-abbreviated-type name.  Strange, that this is the real
> >name of teh file.

On Sat, 21 Dec 2002, Pierre A. Humblet wrote:

> 1) Did you reinstall with setup? 

Yes.

>    Do you perhaps use the new experimental setup?

No, it was 2.249.2.5

> 2) Find out the file ???/release/exim/exim-4.10-2.tar.bz2
>    in the directory where setup downloads the files
>    and type 'tar tjf   <filename>'
>    You will probably see that the name is correct.

USER@TEACHER /cygdrive/c/cygwinsetup/ftp%3a%2f%2fftp.nsysu.edu.tw%2fUnix%2fGNU%2fcygwin/release/exim
$ tar tjf exim-4.10-2.tar.bz2 
usr/bin/
usr/bin/exim-4.10-2.exe
[etc]

So, you are right. It has teh correct file name.

> If it is correct, the problem is beyond my control and it should
> be brought to the attention of the setup people on the list.

I wonder if it is due to my LOGNAME being all capitals?  However,
this may not be the reason, because I didn't have this problem
when I first installed exim, when the $LOGNAME == USER
too.

-- 
Greg Matheson                The teacher as the monkey in the works.
Chinmin College              Intervention without understanding.
                                 
Taiwan Penpals Archive <URL: http://penpals.chinmin.edu.tw/>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/